package org.bench4q.agent.datacollector;

import java.util.Map;

import org.bench4q.agent.datacollector.impl.BehaviorStatusCodeResult;
import org.bench4q.agent.scenario.engine.BehaviorResult;
import org.bench4q.agent.scenario.engine.PageResult;

public interface DataCollector {
	public void add(BehaviorResult behaviorResult);

	public void add(PageResult pageResult);

	public Object getScenarioBriefStatistics();

	public Map<Integer, BehaviorStatusCodeResult> getBehaviorBriefStatistics(
			int behaviorId);

	public Object getPageBriefStatistics(int pageId);
}
